Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class BundleTask

    java.lang.Object
      com.amazonaws.services.ec2.model.BundleTask

    public class BundleTask

extends Object

Represents a task to bundle an EC2 Windows instance into a new image.

Constructor Summary
`BundleTask()`

Method Summary
`String` | `getBundleId()` Unique identifier for this task.
`BundleTaskError` | `getBundleTaskError()` If the task fails, a description of the error.
`String` | `getInstanceId()` Instance associated with this bundle task.
`String` | `getProgress()` The level of task completion, in percent (e.g., 20%).
`Date` | `getStartTime()` The time this task started.
`String` | `getState()` The state of this task.
`Storage` | `getStorage()` Amazon S3 storage locations.
`Date` | `getUpdateTime()` The time of the most recent update for the task.
`void` | `setBundleId(String bundleId)` Unique identifier for this task.
`void` | `setBundleTaskError(BundleTaskError bundleTaskError)` If the task fails, a description of the error.
`void` | `setInstanceId(String instanceId)` Instance associated with this bundle task.
`void` | `setProgress(String progress)` The level of task completion, in percent (e.g., 20%).
`void` | `setStartTime(Date startTime)` The time this task started.
`void` | `setState(String state)` The state of this task.
`void` | `setStorage(Storage storage)` Amazon S3 storage locations.
`void` | `setUpdateTime(Date updateTime)` The time of the most recent update for the task.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`BundleTask` | `withBundleId(String bundleId)` Unique identifier for this task.
`BundleTask` | `withBundleTaskError(BundleTaskError bundleTaskError)` If the task fails, a description of the error.
`BundleTask` | `withInstanceId(String instanceId)` Instance associated with this bundle task.
`BundleTask` | `withProgress(String progress)` The level of task completion, in percent (e.g., 20%).
`BundleTask` | `withStartTime(Date startTime)` The time this task started.
`BundleTask` | `withState(String state)` The state of this task.
`BundleTask` | `withStorage(Storage storage)` Amazon S3 storage locations.
`BundleTask` | `withUpdateTime(Date updateTime)` The time of the most recent update for the task.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BundleTask

    public BundleTask()

Method Detail

### getInstanceId

    public String getInstanceId()

  Instance associated with this bundle task.

  Returns:
    Instance associated with this bundle task.

### setInstanceId

    public void setInstanceId(String instanceId)

  Instance associated with this bundle task.

  Parameters:
    `instanceId` - Instance associated with this bundle task.

### withInstanceId

    public BundleTask withInstanceId(String instanceId)

  Instance associated with this bundle task.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceId` - Instance associated with this bundle task.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBundleId

    public String getBundleId()

  Unique identifier for this task.

  Returns:
    Unique identifier for this task.

### setBundleId

    public void setBundleId(String bundleId)

  Unique identifier for this task.

  Parameters:
    `bundleId` - Unique identifier for this task.

### withBundleId

    public BundleTask withBundleId(String bundleId)

  Unique identifier for this task.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bundleId` - Unique identifier for this task.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  The state of this task.

  Returns:
    The state of this task.

### setState

    public void setState(String state)

  The state of this task.

  Parameters:
    `state` - The state of this task.

### withState

    public BundleTask withState(String state)

  The state of this task.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `state` - The state of this task.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStartTime

    public Date getStartTime()

  The time this task started.

  Returns:
    The time this task started.

### setStartTime

    public void setStartTime(Date startTime)

  The time this task started.

  Parameters:
    `startTime` - The time this task started.

### withStartTime

    public BundleTask withStartTime(Date startTime)

  The time this task started.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `startTime` - The time this task started.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getUpdateTime

    public Date getUpdateTime()

  The time of the most recent update for the task.

  Returns:
    The time of the most recent update for the task.

### setUpdateTime

    public void setUpdateTime(Date updateTime)

  The time of the most recent update for the task.

  Parameters:
    `updateTime` - The time of the most recent update for the task.

### withUpdateTime

    public BundleTask withUpdateTime(Date updateTime)

  The time of the most recent update for the task.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `updateTime` - The time of the most recent update for the task.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getStorage

    public Storage getStorage()

  Amazon S3 storage locations.

  Returns:
    Amazon S3 storage locations.

### setStorage

    public void setStorage(Storage storage)

  Amazon S3 storage locations.

  Parameters:
    `storage` - Amazon S3 storage locations.

### withStorage

    public BundleTask withStorage(Storage storage)

  Amazon S3 storage locations.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `storage` - Amazon S3 storage locations.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getProgress

    public String getProgress()

  The level of task completion, in percent (e.g., 20%).

  Returns:
    The level of task completion, in percent (e.g., 20%).

### setProgress

    public void setProgress(String progress)

  The level of task completion, in percent (e.g., 20%).

  Parameters:
    `progress` - The level of task completion, in percent (e.g., 20%).

### withProgress

    public BundleTask withProgress(String progress)

  The level of task completion, in percent (e.g., 20%).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `progress` - The level of task completion, in percent (e.g., 20%).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBundleTaskError

    public BundleTaskError getBundleTaskError()

  If the task fails, a description of the error.

  Returns:
    If the task fails, a description of the error.

### setBundleTaskError

    public void setBundleTaskError(BundleTaskError bundleTaskError)

  If the task fails, a description of the error.

  Parameters:
    `bundleTaskError` - If the task fails, a description of the error.

### withBundleTaskError

    public BundleTask withBundleTaskError(BundleTaskError bundleTaskError)

  If the task fails, a description of the error.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bundleTaskError` - If the task fails, a description of the error.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.